Bug 1411604 - USB: Not enough bandwidth for new device state.
Summary: USB: Not enough bandwidth for new device state.
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 04:47 UTC by PS
Modified: 2021-04-06 14:52 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description PS 2017-01-10 04:47:43 UTC
Description of problem:
When connecting a usb device I get 

kernel: usb 1-5: Not enough bandwidth for new device state.
kernel: usb 1-5: can't set config #1, error -28

and then it of course doesn't work. Now I can remove every usb device and still have the same issue. If I reboot with every device plugged in it works fine most of the time but after a while it stops working with same error. Once it stops working I can remove every device and still a thing like plugging in a keyboard does not have enough bandwidth

Version-Release number of selected component (if applicable):
4.8.15-200.fc24.x86_64


How reproducible:
Happens all the time, sometimes shortly after boot, sometimes after a day.

Steps to Reproduce:
Have tried several things to try to find the exact steps to trigger it but not found them.
1.
2.
3.

Actual results:
Jan 09 23:43:09 defiant1.intra.techwiz.ca kernel: usb 1-5: new full-speed USB device number 20 using xhci_hcd
Jan 09 23:43:10 defiant1.intra.techwiz.ca kernel: usb 1-5: New USB device found, idVendor=1a86, idProduct=7523
Jan 09 23:43:10 defiant1.intra.techwiz.ca kernel: usb 1-5: New USB device strings: Mfr=0, Product=2, SerialNumber=0
Jan 09 23:43:10 defiant1.intra.techwiz.ca kernel: usb 1-5: Product: USB2.0-Serial
Jan 09 23:43:10 defiant1.intra.techwiz.ca kernel: usb 1-5: Not enough bandwidth for new device state.
Jan 09 23:43:10 defiant1.intra.techwiz.ca kernel: usb 1-5: can't set config #1, error -28
Jan 09 23:43:10 defiant1.intra.techwiz.ca mtp-probe[26811]: checking bus 1, device 20: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5"
Jan 09 23:43:10 defiant1.intra.techwiz.ca mtp-probe[26811]: bus: 1, device: 20 was not an MTP device


Expected results:
all good and /dev/ttyUSB0 created

Additional info:
peters@defiant1:~$ lsusb
Bus 002 Device 003: ID 17e9:430a DisplayLink HP Port Replicator (Composite Device)
Bus 002 Device 002: ID 0451:8040 Texas Instruments, Inc.
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 138a:003f Validity Sensors, Inc. VFS495 Fingerprint Reader
Bus 001 Device 003: ID 04f2:b51d Chicony Electronics Co., Ltd
Bus 001 Device 013: ID 03f0:a407 Hewlett-Packard
Bus 001 Device 012: ID 413c:2006 Dell Computer Corp.
Bus 001 Device 010: ID 413c:1004 Dell Computer Corp.
Bus 001 Device 008: ID 03f0:2514 Hewlett-Packard 4-port hub
Bus 001 Device 006: ID 048d:1165 Integrated Technology Express, Inc. IT1165 Flash Controller
Bus 001 Device 004: ID 0424:2517 Standard Microsystems Corp. Hub
Bus 001 Device 002: ID 0451:8042 Texas Instruments, Inc. Hub
Bus 001 Device 007: ID 8087:0a2b Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


Googling for this issue I see some that got it to work after disabling usb3. I'm not ready to do that since one of the things I need working is a external USB3 disk drive for backup. That drive is not listed above since I had it removed but if I reboot with everything connected it works most of the time. After a while (minutes to day) any new usb device plugged in fails and  removing everything connected (including the disk) only helps sometimes, most of the time a reboot is required.

Comment 1 PS 2017-01-10 05:02:28 UTC
After reboot I now have
peters@defiant1:~$ lsusb
Bus 002 Device 004: ID 152d:9561 JMicron Technology Corp. / JMicron USA Technology Corp.
Bus 002 Device 003: ID 17e9:430a DisplayLink HP Port Replicator (Composite Device)
Bus 002 Device 002: ID 0451:8040 Texas Instruments, Inc.
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 138a:003f Validity Sensors, Inc. VFS495 Fingerprint Reader
Bus 001 Device 003: ID 04f2:b51d Chicony Electronics Co., Ltd
Bus 001 Device 014: ID 1a86:7523 QinHeng Electronics HL-340 USB-Serial adapter
Bus 001 Device 013: ID 1a86:7523 QinHeng Electronics HL-340 USB-Serial adapter
Bus 001 Device 011: ID 03f0:a407 Hewlett-Packard
Bus 001 Device 010: ID 413c:2006 Dell Computer Corp.
Bus 001 Device 009: ID 413c:1004 Dell Computer Corp.
Bus 001 Device 008: ID 03f0:2514 Hewlett-Packard 4-port hub
Bus 001 Device 006: ID 048d:1165 Integrated Technology Express, Inc. IT1165 Flash Controller
Bus 001 Device 004: ID 0424:2517 Standard Microsystems Corp. Hub
Bus 001 Device 002: ID 0451:8042 Texas Instruments, Inc. Hub
Bus 001 Device 007: ID 8087:0a2b Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
peters@defiant1:~$

and removing and adding back one usb device works fine despite it's now way more things connected
Jan 10 00:01:27 defiant1.intra.techwiz.ca kernel: usb 1-5: USB disconnect, device number 14
Jan 10 00:01:27 defiant1.intra.techwiz.ca kernel: ch341-uart ttyUSB1: ch341-uart converter now disconnected from ttyUSB1
Jan 10 00:01:27 defiant1.intra.techwiz.ca kernel: ch341 1-5:1.0: device disconnected
Jan 10 00:01:30 defiant1.intra.techwiz.ca kernel: usb 1-5: new full-speed USB device number 16 using xhci_hcd
Jan 10 00:01:31 defiant1.intra.techwiz.ca kernel: usb 1-5: New USB device found, idVendor=1a86, idProduct=7523
Jan 10 00:01:31 defiant1.intra.techwiz.ca kernel: usb 1-5: New USB device strings: Mfr=0, Product=2, SerialNumber=0
Jan 10 00:01:31 defiant1.intra.techwiz.ca kernel: usb 1-5: Product: USB2.0-Serial
Jan 10 00:01:31 defiant1.intra.techwiz.ca kernel: ch341 1-5:1.0: ch341-uart converter detected
Jan 10 00:01:31 defiant1.intra.techwiz.ca kernel: usb 1-5: ch341-uart converter now attached to ttyUSB1
Jan 10 00:01:31 defiant1.intra.techwiz.ca mtp-probe[6636]: checking bus 1, device 16: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5"
Jan 10 00:01:31 defiant1.intra.techwiz.ca mtp-probe[6636]: bus: 1, device: 16 was not an MTP device

Comment 2 PS 2017-01-31 16:27:25 UTC
Stumbled over something that might be a trigger. I have my speakers (and with that the sound device) connected to the hub that is on the USB3 connection. When I playing music it complains about not enough bandwidth even when I disconnect a existing device. If I just pause the music then I can add new usb devices and it works, start the music again and it all works.
The usb hub does state that the sound is "HP 3005pr USB3.0 Port Replicato, USB Audio"
So, why does the kernel think the sound grabs 100%+ of the bandwidth when it's playing some music ?

Comment 3 Justin M. Forbes 2017-04-11 14:51:16 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 PS 2017-04-17 21:31:14 UTC
Tested again now, still same issue


root@defiant1:~# head -33 /etc/*release
==> /etc/fedora-release <==
Fedora release 25 (Twenty Five)

==> /etc/os-release <==
NAME=Fedora
VERSION="25 (Twenty Five)"
ID=fedora
VERSION_ID=25
PRETTY_NAME="Fedora 25 (Twenty Five)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:25"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=25
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=25
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy

==> /etc/redhat-release <==
Fedora release 25 (Twenty Five)

==> /etc/system-release <==
Fedora release 25 (Twenty Five)
root@defiant1:~# uname -r
4.10.9-200.fc25.x86_64
root@defiant1:~# journalctl -f
#music playing
#removing usb mouse
Apr 17 17:26:53 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: USB disconnect, device number 13
Apr 17 17:26:53 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Not enough bandwidth for new device state.

#note that it's not enough when _removing_ it
#putting it back
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: new full-speed USB device number 18 using xhci_hcd
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: New USB device found, idVendor=03f0, idProduct=a407
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Product: HP Link-5 micro dongle
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Manufacturer: HP
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Not enough bandwidth for new device state.
Apr 17 17:26:58 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: can't set config #1, error -28
Apr 17 17:26:58 defiant1.intra.techwiz.ca mtp-probe[4752]: checking bus 1, device 18: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4.4/1-4.4.2/1-4.4.2.2"
Apr 17 17:26:58 defiant1.intra.techwiz.ca mtp-probe[4752]: bus: 1, device: 18 was not an MTP device


#stopped music
#putting in mouse adapter again
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: new full-speed USB device number 22 using xhci_hcd
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: New USB device found, idVendor=03f0, idProduct=a407
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Product: HP Link-5 micro dongle
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: usb 1-4.4.2.2: Manufacturer: HP
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: input: HP HP Link-5 micro dongle as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4.4/1-4.4.2/1-4.4.2.2/1-4.4.2.2:1.0/0003:03F0:A407.000D/input/input33
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: hid-generic 0003:03F0:A407.000D: input,hidraw3: USB HID v1.11 Keyboard [HP HP Link-5 micro dongle] on usb-0000:00:14.0-4.4.2.2/input0
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: input: HP HP Link-5 micro dongle as /devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4.4/1-4.4.2/1-4.4.2.2/1-4.4.2.2:1.1/0003:03F0:A407.000E/input/input34
Apr 17 17:30:16 defiant1.intra.techwiz.ca kernel: hid-generic 0003:03F0:A407.000E: input,hiddev0,hidraw4: USB HID v1.11 Mouse [HP HP Link-5 micro dongle] on usb-0000:00:14.0-4.4.2.2/input1
Apr 17 17:30:16 defiant1.intra.techwiz.ca mtp-probe[5839]: checking bus 1, device 22: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4.4/1-4.4.2/1-4.4.2.2"
Apr 17 17:30:16 defiant1.intra.techwiz.ca mtp-probe[5839]: bus: 1, device: 22 was not an MTP device
Apr 17 17:30:16 defiant1.intra.techwiz.ca kdeinit5[2993]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca baloo_file[3050]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca kdeinit5[2993]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca baloo_file[3050]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca baloo_file[3050]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca kdeinit5[2993]: QObject::connect: invalid null parameter
Apr 17 17:30:17 defiant1.intra.techwiz.ca kwin_x11[3044]: QXcbConnection: XCB error: 3 (BadWindow), sequence: 18322, resource id: 159383560, major code: 18 (ChangeProperty), minor code: 0

Comment 5 Michael Heimann 2017-05-09 01:21:19 UTC
Same here, but with USB Hub in iiyama 4K Monitor (G-Master GB2888UHSU, same with similar Prolite B2888UHSU):
$ dmesg | grep can
[    0.314107] pci 0000:03:00.0: [Firmware Bug]: disabling VPD access (can't determine size of non-standard VPD format)
[    0.623397] rtc_cmos 00:02: RTC can wake from S4
[    2.481885] usb 3-1.1.2: can't set config #1, error -28
[    2.816548] usb 3-1.1.1.1: can't set config #1, error -28
[    3.167493] usb 3-1.1.1.4: can't set config #1, error -28
[    3.339726] usb 3-1.1.1.5: can't set config #1, error -28
[    3.512820] usb 3-1.1.1.6: can't set config #1, error -28
[    3.686539] usb 3-1.1.1.7: can't set config #1, error -28

I've also seen this (http://comments.gmane.org/gmane.linux.usb.general/72320) referring to a USB3 Hub chip with that exact issue.

Replugging the USB Hub in gives me a lot of "Not enough bandwidth for new device state." Errors: 

[ 1285.830382] usb 3-1: new high-speed USB device number 15 using xhci_hcd
[ 1285.950274] usb 3-1: New USB device found, idVendor=2109, idProduct=2812
[ 1285.950277] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1285.950279] usb 3-1: Product: USB2.0 Hub             
[ 1285.950280] usb 3-1: Manufacturer: VIA Labs, Inc.         
[ 1285.950841] hub 3-1:1.0: USB hub found
[ 1285.951225] hub 3-1:1.0: 4 ports detected
[ 1286.051513] usb 4-1: new SuperSpeed USB device number 5 using xhci_hcd
[ 1286.300254] usb 4-1: New USB device found, idVendor=2109, idProduct=0812
[ 1286.300257] usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1286.300259] usb 4-1: Product: USB3.0 Hub             
[ 1286.300261] usb 4-1: Manufacturer: VIA Labs, Inc.         
[ 1286.301079] hub 4-1:1.0: USB hub found
[ 1286.301759] hub 4-1:1.0: 4 ports detected
[ 1286.373388] usb 3-1.1: new high-speed USB device number 16 using xhci_hcd
[ 1286.465254] usb 3-1.1: New USB device found, idVendor=0bb4, idProduct=2744
[ 1286.465258] usb 3-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1286.465259] usb 3-1.1: Product: CB USB2
[ 1286.465261] usb 3-1.1: Manufacturer: HTC
[ 1286.465820] hub 3-1.1:1.0: USB hub found
[ 1286.466096] hub 3-1.1:1.0: 3 ports detected
[ 1286.754396] usb 3-1.1.1: new high-speed USB device number 17 using xhci_hcd
[ 1286.845372] usb 3-1.1.1: New USB device found, idVendor=0bb4, idProduct=2134
[ 1286.845375] usb 3-1.1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1286.845377] usb 3-1.1.1: Product: USB2137B
[ 1286.845379] usb 3-1.1.1: Manufacturer: SMSC
[ 1286.845742] hub 3-1.1.1:1.0: USB hub found
[ 1286.846066] hub 3-1.1.1:1.0: 7 ports detected
[ 1286.925394] usb 3-1.1.2: new full-speed USB device number 18 using xhci_hcd
[ 1287.026108] usb 3-1.1.2: New USB device found, idVendor=0bb4, idProduct=0306
[ 1287.026111] usb 3-1.1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1287.026113] usb 3-1.1.2: Product: BCM920703 Bluetooth 4.1
[ 1287.026115] usb 3-1.1.2: Manufacturer: Broadcom Corp
[ 1287.026116] usb 3-1.1.2: SerialNumber: 807ABF4922EB
[ 1287.026381] usb 3-1.1.2: Not enough bandwidth for new device state.
[ 1287.026391] usb 3-1.1.2: can't set config #1, error -28
[ 1287.104394] usb 3-1.1.3: new high-speed USB device number 19 using xhci_hcd
[ 1287.195463] usb 3-1.1.3: New USB device found, idVendor=0424, idProduct=274d
[ 1287.195466] usb 3-1.1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1287.195467] usb 3-1.1.3: Product: Hub Controller
[ 1287.195469] usb 3-1.1.3: Manufacturer: HTC
[ 1287.198908] cdc_acm 3-1.1.3:1.0: ttyACM0: USB ACM device
[ 1287.269399] usb 3-1.1.1.1: new full-speed USB device number 20 using xhci_hcd
[ 1287.362844] usb 3-1.1.1.1: New USB device found, idVendor=28de, idProduct=2000
[ 1287.362847] usb 3-1.1.1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1287.362849] usb 3-1.1.1.1: Product: Lighthouse FPGA RX
[ 1287.362850] usb 3-1.1.1.1: Manufacturer: Valve Software
[ 1287.362852] usb 3-1.1.1.1: SerialNumber: LHR-907199EE
[ 1287.363103] usb 3-1.1.1.1: Not enough bandwidth for new device state.
[ 1287.363111] usb 3-1.1.1.1: can't set config #1, error -28
[ 1287.439413] usb 3-1.1.1.4: new full-speed USB device number 21 using xhci_hcd
[ 1287.543838] usb 3-1.1.1.4: New USB device found, idVendor=0d8c, idProduct=0012
[ 1287.543840] usb 3-1.1.1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1287.543842] usb 3-1.1.1.4: Product: USB Audio Device
[ 1287.543844] usb 3-1.1.1.4: Manufacturer: C-Media Electronics Inc.
[ 1287.544038] usb 3-1.1.1.4: Not enough bandwidth for new device state.
[ 1287.544045] usb 3-1.1.1.4: can't set config #1, error -28
[ 1287.620402] usb 3-1.1.1.5: new full-speed USB device number 22 using xhci_hcd
[ 1287.715081] usb 3-1.1.1.5: New USB device found, idVendor=0bb4, idProduct=2c87
[ 1287.715084] usb 3-1.1.1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1287.715086] usb 3-1.1.1.5: Product: HTC Vive
[ 1287.715088] usb 3-1.1.1.5: Manufacturer: HTC
[ 1287.715089] usb 3-1.1.1.5: SerialNumber: 20523958534D
[ 1287.715267] usb 3-1.1.1.5: Not enough bandwidth for new device state.
[ 1287.715275] usb 3-1.1.1.5: can't set config #1, error -28
[ 1287.791415] usb 3-1.1.1.6: new full-speed USB device number 23 using xhci_hcd
[ 1287.886826] usb 3-1.1.1.6: New USB device found, idVendor=28de, idProduct=2101
[ 1287.886829] usb 3-1.1.1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1287.886831] usb 3-1.1.1.6: Product: Watchman Dongle
[ 1287.886832] usb 3-1.1.1.6: Manufacturer: Valve Software
[ 1287.886834] usb 3-1.1.1.6: SerialNumber: BA2D1BCB5F
[ 1287.887000] usb 3-1.1.1.6: Not enough bandwidth for new device state.
[ 1287.887007] usb 3-1.1.1.6: can't set config #1, error -28
[ 1287.963381] usb 3-1.1.1.7: new full-speed USB device number 24 using xhci_hcd
[ 1288.058794] usb 3-1.1.1.7: New USB device found, idVendor=28de, idProduct=2101
[ 1288.058797] usb 3-1.1.1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1288.058799] usb 3-1.1.1.7: Product: Watchman Dongle
[ 1288.058800] usb 3-1.1.1.7: Manufacturer: Valve Software
[ 1288.058801] usb 3-1.1.1.7: SerialNumber: 0D5DF1C46C
[ 1288.058989] usb 3-1.1.1.7: Not enough bandwidth for new device state.
[ 1288.058994] usb 3-1.1.1.7: can't set config #1, error -28
[ 1288.243402] usb 3-1.1.1.2: new high-speed USB device number 25 using xhci_hcd
[ 1288.334806] usb 3-1.1.1.2: New USB device found, idVendor=0bb4, idProduct=2c87
[ 1288.334809] usb 3-1.1.1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1288.334811] usb 3-1.1.1.2: Product: HTC Vive
[ 1288.334813] usb 3-1.1.1.2: Manufacturer: Alpha Imaging Tech
[ 1288.335214] uvcvideo: Found UVC 1.00 device HTC Vive (0bb4:2c87)
[ 1288.360512] uvcvideo 3-1.1.1.2:1.0: Entity type for entity Extension 2 was not initialized!
[ 1288.360516] uvcvideo 3-1.1.1.2:1.0: Entity type for entity Extension 6 was not initialized!
[ 1288.360518] uvcvideo 3-1.1.1.2:1.0: Entity type for entity Extension 5 was not initialized!
[ 1288.360520] uvcvideo 3-1.1.1.2:1.0: Entity type for entity Processing 3 was not initialized!
[ 1288.360522] uvcvideo 3-1.1.1.2:1.0: Entity type for entity Camera 1 was not initialized!
[ 1288.360667] input: HTC Vive as /devices/pci0000:00/0000:00:1c.7/0000:04:00.0/usb3/3-1/3-1.1/3-1.1.1/3-1.1.1.2/3-1.1.1.2:1.0/input/input18

Seems like it doesn't like USB2 devices on a USB3 Hub.
USB3 devices don't trigger that error.

Comment 6 Fedora End Of Life 2017-07-26 00:10:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Michael Heimann 2017-07-26 06:29:31 UTC
still happens with Fedora 25 - I don't know how to change the version of the bug...

Comment 8 PS 2017-07-26 23:04:48 UTC
Changed version to 25 since it's a problem there also

As I said in comment #2 - the workaround is to pause/mute the sound that plays over usb3 and then plugin the device. Once plugged in sound can resume and everything works fine.

Comment 9 Michael Heimann 2017-07-26 23:33:00 UTC
@PS:

I've got no sound playing during this error. Also, I'm not aware anything is actively using the USB link.

So: no workaround for me, yet.

Comment 10 PS 2017-07-26 23:44:41 UTC
(In reply to Michael Heimann from comment #9)
> @PS:
> 
> I've got no sound playing during this error. Also, I'm not aware anything is
> actively using the USB link.
> 
> So: no workaround for me, yet.

Note that sometimes it doesn't have to actually play, having a VM with sound enabled or a browser tab with a silent video can be enough.

Comment 11 Fedora End Of Life 2017-11-16 19:30:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 PS 2017-11-20 04:53:30 UTC
Upgraded to fedora 27 and I still see the same issue

Comment 13 Laura Abbott 2018-02-20 20:10:03 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 14 PS 2018-02-20 20:25:38 UTC
Still a problem

Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: new full-speed USB device number 13 using xhci_hcd
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: New USB device found, idVendor=03f0, idProduct=a407
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: Product: HP Link-5 micro dongle
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: Manufacturer: HP
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: Not enough bandwidth for new device state.
Feb 20 15:24:22 defiant1.intra.techwiz.ca kernel: usb 3-1.4.2.2: can't set config #1, error -28
Feb 20 15:24:22 defiant1.intra.techwiz.ca mtp-probe[26062]: checking bus 3, device 13: "/sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0/0000:05:02.0/0000:3a:00.0/usb3/3-1/3-1.4/3-1.4.2/3-1.4.2.2"
Feb 20 15:24:22 defiant1.intra.techwiz.ca mtp-probe[26062]: bus: 3, device: 13 was not an MTP device

root@defiant1:~# uname -r
4.15.3-300.fc27.x86_64
root@defiant1:~#

Comment 15 david.fernandez.work 2018-04-19 09:29:05 UTC
Me too

# dmesg
...
[    6.806175] usb 1-6.2.4: new full-speed USB device number 10 using xhci_hcd
[    6.902106] usb 1-6.2.4: New USB device found, idVendor=045e, idProduct=070f
[    6.902112] usb 1-6.2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    6.902117] usb 1-6.2.4: Product: Microsoft LifeChat LX-3000
[    6.902121] usb 1-6.2.4: Manufacturer: C-Media Electronics Inc.      
[    6.904678] input: C-Media Electronics Inc.       Microsoft LifeChat LX-3000 as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.4/1-6.2.4:1.3/0003:045E:070F.0004/input/input17
[    6.956625] hid-generic 0003:045E:070F.0004: input,hidraw3: USB HID v1.00 Device [C-Media Electronics Inc.       Microsoft LifeChat LX-3000] on usb-0000:00:14.0-6.2.4/input3
...
[   23.906788] usb 1-6.2.4: Not enough bandwidth for new device state.
[   23.906795] usb 1-6.2.4: Not enough bandwidth for altsetting 0

# uname -r
4.15.17-300.fc27.x86_64

Comment 16 david.fernandez.work 2018-04-19 10:41:37 UTC
This is the best reproduction I've got, by doing:
1. Reboot the machine.
2. Stop all virtual machine services.
3. Connect a usb3 audio device.
4. Opening skype and test audio... (that did not cause any problem leaving it open for a long time).
5. Opening a hangouts web conference call and test audio, then leave it open claiming the audio device.
6. After a while, the problem happens.

# lsusb
Bus 002 Device 008: ID 17e9:4307 DisplayLink 
Bus 002 Device 007: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 002: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 023: ID 045e:070f Microsoft Corp. LifeChat LX-3000 Headset
Bus 001 Device 021: ID 413c:2113 Dell Computer Corp. 
Bus 001 Device 020: ID 046d:c077 Logitech, Inc. M105 Optical Mouse
Bus 001 Device 019: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 001 Device 018: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 004: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 003: ID 8087:0a2b Intel Corp. 
Bus 001 Device 002: ID 04f2:b59e Chicony Electronics Co., Ltd 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


# dmesg
...
[  170.699829] bridge-usb0: disabling the bridge on dev down
[  170.699879] bridge-usb0: down
[  170.699883] bridge-usb0: detached
[  204.437031] usb 1-6.2.4: new full-speed USB device number 10 using xhci_hcd
[  204.532905] usb 1-6.2.4: New USB device found, idVendor=045e, idProduct=070f
[  204.532911] usb 1-6.2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  204.532915] usb 1-6.2.4: Product: Microsoft LifeChat LX-3000
[  204.532919] usb 1-6.2.4: Manufacturer: C-Media Electronics Inc.      
[  204.556085] input: C-Media Electronics Inc.       Microsoft LifeChat LX-3000 as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.4/1-6.2.4:1.3/0003:045E:070F.0004/input/input24
[  204.608865] hid-generic 0003:045E:070F.0004: input,hidraw3: USB HID v1.00 Device [C-Media Electronics Inc.       Microsoft LifeChat LX-3000] on usb-0000:00:14.0-6.2.4/input3
[ 1622.220399] nf_conntrack: default automatic helper assignment has been turned off for security reasons and CT-based  firewall rule not found. Use the iptables CT target to attach helpers instead.
[ 2521.583083] retire_capture_urb: 67 callbacks suppressed
[ 2521.758499] usb 2-6.2: USB disconnect, device number 3
[ 2521.819268] usb 1-6.2: USB disconnect, device number 5
[ 2521.819273] usb 1-6.2.2: USB disconnect, device number 6
[ 2521.819277] usb 1-6.2.2.3: USB disconnect, device number 7
[ 2521.820085] usb 1-6.2.4: cannot submit urb (err = -19)
[ 2521.821673] usb 1-6.2.4: cannot submit urb (err = -19)
[ 2521.822297] usb 1-6.2.4: cannot submit urb 0, error -19: no device
[ 2521.825240] usb 1-6.2.4: cannot submit urb 0, error -19: no device
[ 2521.844801] usb 1-6.2.2.4: USB disconnect, device number 8
[ 2521.900268] usb 1-6.2.4: USB disconnect, device number 10
[ 2522.747308] usb 2-6.2.1: USB disconnect, device number 4
[ 2522.748606] cdc_ncm 2-6.2.1:1.5 usb0: unregister 'cdc_ncm' usb-0000:00:14.0-6.2.1, CDC NCM
[ 2524.491436] usb 2-6.2: new SuperSpeed USB device number 5 using xhci_hcd
[ 2524.505019] usb 2-6.2: New USB device found, idVendor=2109, idProduct=0812
[ 2524.505024] usb 2-6.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2524.505028] usb 2-6.2: Product: USB3.0 Hub             
[ 2524.505031] usb 2-6.2: Manufacturer: SyncMold               
[ 2524.507650] hub 2-6.2:1.0: USB hub found
[ 2524.507782] hub 2-6.2:1.0: 4 ports detected
[ 2524.581241] usb 1-6.2: new high-speed USB device number 11 using xhci_hcd
[ 2524.671281] usb 1-6.2: New USB device found, idVendor=2109, idProduct=2812
[ 2524.671286] usb 1-6.2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[ 2524.671290] usb 1-6.2: Product: USB2.0 Hub             
[ 2524.672511] hub 1-6.2:1.0: USB hub found
[ 2524.672637] hub 1-6.2:1.0: 4 ports detected
[ 2524.968261] usb 1-6.2.4: new low-speed USB device number 12 using xhci_hcd
[ 2525.046279] usb 1-6.2.4: device descriptor read/64, error -32
[ 2526.106264] usb 1-6.2.2: new high-speed USB device number 13 using xhci_hcd
[ 2526.194552] usb 1-6.2.2: New USB device found, idVendor=1a40, idProduct=0101
[ 2526.194557] usb 1-6.2.2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[ 2526.194561] usb 1-6.2.2: Product: USB 2.0 Hub
[ 2526.195650] hub 1-6.2.2:1.0: USB hub found
[ 2526.195721] hub 1-6.2.2:1.0: 4 ports detected
[ 2526.479269] usb 1-6.2.2.3: new low-speed USB device number 14 using xhci_hcd
[ 2526.571219] usb 1-6.2.2.3: New USB device found, idVendor=046d, idProduct=c077
[ 2526.571225] usb 1-6.2.2.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2526.571228] usb 1-6.2.2.3: Product: USB Optical Mouse
[ 2526.571255] usb 1-6.2.2.3: Manufacturer: Logitech
[ 2526.574495] input: Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.3/1-6.2.2.3:1.0/0003:046D:C077.0005/input/input25
[ 2526.575178] hid-generic 0003:046D:C077.0005: input,hidraw0: USB HID v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:14.0-6.2.2.3/input0
[ 2526.652266] usb 1-6.2.2.4: new low-speed USB device number 15 using xhci_hcd
[ 2526.747871] usb 1-6.2.2.4: New USB device found, idVendor=413c, idProduct=2113
[ 2526.747876] usb 1-6.2.2.4: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[ 2526.747879] usb 1-6.2.2.4: Product: Dell KB216 Wired Keyboard
[ 2526.754532] input: Dell KB216 Wired Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.4/1-6.2.2.4:1.0/0003:413C:2113.0006/input/input26
[ 2526.807025] hid-generic 0003:413C:2113.0006: input,hidraw1: USB HID v1.11 Keyboard [Dell KB216 Wired Keyboard] on usb-0000:00:14.0-6.2.2.4/input0
[ 2526.811805] input: Dell KB216 Wired Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.4/1-6.2.2.4:1.1/0003:413C:2113.0007/input/input27
[ 2526.863797] hid-generic 0003:413C:2113.0007: input,hidraw2: USB HID v1.11 Device [Dell KB216 Wired Keyboard] on usb-0000:00:14.0-6.2.2.4/input1
[ 2527.789373] usb 2-6.2.1: new SuperSpeed USB device number 6 using xhci_hcd
[ 2527.802027] usb 2-6.2.1: New USB device found, idVendor=17e9, idProduct=4307
[ 2527.802032] usb 2-6.2.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2527.802035] usb 2-6.2.1: Product: USB3.0 Dual Video Dock
[ 2527.802039] usb 2-6.2.1: Manufacturer: DisplayLink
[ 2527.802042] usb 2-6.2.1: SerialNumber: 00010011000054317
[ 2527.815259] usb 2-6.2.1: Warning! Unlikely big volume range (=511), cval->res is probably wrong.
[ 2527.815266] usb 2-6.2.1: [15] FU [USB Audio Playback Volume] ch = 6, val = -8176/0/16
[ 2527.815793] usb 2-6.2.1: Warning! Unlikely big volume range (=767), cval->res is probably wrong.
[ 2527.815797] usb 2-6.2.1: [12] FU [Mic Capture Volume] ch = 2, val = -4592/7680/16
[ 2527.835428] cdc_ncm 2-6.2.1:1.5: MAC-Address: 50:3f:56:02:80:01
[ 2527.835434] cdc_ncm 2-6.2.1:1.5: setting rx_max = 16384
[ 2527.835544] cdc_ncm 2-6.2.1:1.5: setting tx_max = 16384
[ 2527.836002] cdc_ncm 2-6.2.1:1.5 usb0: register 'cdc_ncm' at usb-0000:00:14.0-6.2.1, CDC NCM, 50:3f:56:02:80:01
[ 2527.901752] IPv6: ADDRCONF(NETDEV_UP): usb0: link is not ready
[ 2527.901836] IPv6: ADDRCONF(NETDEV_UP): usb0: link is not ready
[ 2528.404291] usb 1-6.2.4: new full-speed USB device number 17 using xhci_hcd
[ 2528.499765] usb 1-6.2.4: New USB device found, idVendor=045e, idProduct=070f
[ 2528.499771] usb 1-6.2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 2528.499775] usb 1-6.2.4: Product: Microsoft LifeChat LX-3000
[ 2528.499778] usb 1-6.2.4: Manufacturer: C-Media Electronics Inc.      
[ 2528.501550] usb 1-6.2.4: Not enough bandwidth for new device state.
[ 2528.501590] usb 1-6.2.4: can't set config #1, error -28
[ 2529.578679] cdc_ncm 2-6.2.1:1.5 usb0: 1000 mbit/s downlink 1000 mbit/s uplink
[ 2529.594678] cdc_ncm 2-6.2.1:1.5 usb0: network connection: connected
[ 2529.594722] IPv6: ADDRCONF(NETDEV_CHANGE): usb0: link becomes ready
[ 3160.539342] usb 1-6.2: USB disconnect, device number 11
[ 3160.539347] usb 1-6.2.2: USB disconnect, device number 13
[ 3160.539351] usb 1-6.2.2.3: USB disconnect, device number 14
[ 3160.573343] usb 1-6.2.2.4: USB disconnect, device number 15
[ 3160.628775] usb 1-6.2.4: USB disconnect, device number 17
[ 3160.638475] usb 2-6.2: USB disconnect, device number 5
[ 3161.598135] usb 2-6.2.1: USB disconnect, device number 6
[ 3161.599628] cdc_ncm 2-6.2.1:1.5 usb0: unregister 'cdc_ncm' usb-0000:00:14.0-6.2.1, CDC NCM
[ 3163.550184] usb 2-6.2: new SuperSpeed USB device number 7 using xhci_hcd
[ 3163.563730] usb 2-6.2: New USB device found, idVendor=2109, idProduct=0812
[ 3163.563735] usb 2-6.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 3163.563739] usb 2-6.2: Product: USB3.0 Hub             
[ 3163.563742] usb 2-6.2: Manufacturer: SyncMold               
[ 3163.566470] hub 2-6.2:1.0: USB hub found
[ 3163.566574] hub 2-6.2:1.0: 4 ports detected
[ 3163.639981] usb 1-6.2: new high-speed USB device number 18 using xhci_hcd
[ 3163.730844] usb 1-6.2: New USB device found, idVendor=2109, idProduct=2812
[ 3163.730850] usb 1-6.2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[ 3163.730854] usb 1-6.2: Product: USB2.0 Hub             
[ 3163.732046] hub 1-6.2:1.0: USB hub found
[ 3163.732205] hub 1-6.2:1.0: 4 ports detected
[ 3164.539043] usb 1-6.2.2: new high-speed USB device number 19 using xhci_hcd
[ 3164.627369] usb 1-6.2.2: New USB device found, idVendor=1a40, idProduct=0101
[ 3164.627375] usb 1-6.2.2: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[ 3164.627378] usb 1-6.2.2: Product: USB 2.0 Hub
[ 3164.629965] hub 1-6.2.2:1.0: USB hub found
[ 3164.630010] hub 1-6.2.2:1.0: 4 ports detected
[ 3164.914012] usb 1-6.2.2.3: new low-speed USB device number 20 using xhci_hcd
[ 3165.005859] usb 1-6.2.2.3: New USB device found, idVendor=046d, idProduct=c077
[ 3165.005864] usb 1-6.2.2.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 3165.005868] usb 1-6.2.2.3: Product: USB Optical Mouse
[ 3165.005872] usb 1-6.2.2.3: Manufacturer: Logitech
[ 3165.008952] input: Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.3/1-6.2.2.3:1.0/0003:046D:C077.0008/input/input28
[ 3165.009651] hid-generic 0003:046D:C077.0008: input,hidraw0: USB HID v1.11 Mouse [Logitech USB Optical Mouse] on usb-0000:00:14.0-6.2.2.3/input0
[ 3165.086052] usb 1-6.2.2.4: new low-speed USB device number 21 using xhci_hcd
[ 3165.181864] usb 1-6.2.2.4: New USB device found, idVendor=413c, idProduct=2113
[ 3165.181866] usb 1-6.2.2.4: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[ 3165.181867] usb 1-6.2.2.4: Product: Dell KB216 Wired Keyboard
[ 3165.186849] input: Dell KB216 Wired Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.4/1-6.2.2.4:1.0/0003:413C:2113.0009/input/input29
[ 3165.238677] hid-generic 0003:413C:2113.0009: input,hidraw1: USB HID v1.11 Keyboard [Dell KB216 Wired Keyboard] on usb-0000:00:14.0-6.2.2.4/input0
[ 3165.244133] input: Dell KB216 Wired Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2.4/1-6.2.2.4:1.1/0003:413C:2113.000A/input/input30
[ 3165.296418] hid-generic 0003:413C:2113.000A: input,hidraw2: USB HID v1.11 Device [Dell KB216 Wired Keyboard] on usb-0000:00:14.0-6.2.2.4/input1
[ 3166.758112] usb 2-6.2.1: new SuperSpeed USB device number 8 using xhci_hcd
[ 3166.770890] usb 2-6.2.1: New USB device found, idVendor=17e9, idProduct=4307
[ 3166.770895] usb 2-6.2.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3166.770899] usb 2-6.2.1: Product: USB3.0 Dual Video Dock
[ 3166.770902] usb 2-6.2.1: Manufacturer: DisplayLink
[ 3166.770906] usb 2-6.2.1: SerialNumber: 00010011000054317
[ 3166.783971] usb 2-6.2.1: Warning! Unlikely big volume range (=511), cval->res is probably wrong.
[ 3166.783977] usb 2-6.2.1: [15] FU [USB Audio Playback Volume] ch = 6, val = -8176/0/16
[ 3166.784591] usb 2-6.2.1: Warning! Unlikely big volume range (=767), cval->res is probably wrong.
[ 3166.784596] usb 2-6.2.1: [12] FU [Mic Capture Volume] ch = 2, val = -4592/7680/16
[ 3166.805327] cdc_ncm 2-6.2.1:1.5: MAC-Address: 50:3f:56:02:80:01
[ 3166.805334] cdc_ncm 2-6.2.1:1.5: setting rx_max = 16384
[ 3166.805466] cdc_ncm 2-6.2.1:1.5: setting tx_max = 16384
[ 3166.806036] cdc_ncm 2-6.2.1:1.5 usb0: register 'cdc_ncm' at usb-0000:00:14.0-6.2.1, CDC NCM, 50:3f:56:02:80:01
[ 3166.869448] IPv6: ADDRCONF(NETDEV_UP): usb0: link is not ready
[ 3166.869544] IPv6: ADDRCONF(NETDEV_UP): usb0: link is not ready
[ 3167.379019] usb 1-6.2.4: new full-speed USB device number 23 using xhci_hcd
[ 3167.474337] usb 1-6.2.4: New USB device found, idVendor=045e, idProduct=070f
[ 3167.474342] usb 1-6.2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 3167.474346] usb 1-6.2.4: Product: Microsoft LifeChat LX-3000
[ 3167.474349] usb 1-6.2.4: Manufacturer: C-Media Electronics Inc.      
[ 3167.475497] usb 1-6.2.4: Not enough bandwidth for new device state.
[ 3167.475543] usb 1-6.2.4: can't set config #1, error -28
[ 3168.458690] cdc_ncm 2-6.2.1:1.5 usb0: 1000 mbit/s downlink 1000 mbit/s uplink
[ 3168.474676] cdc_ncm 2-6.2.1:1.5 usb0: network connection: connected
[ 3168.474723] IPv6: ADDRCONF(NETDEV_CHANGE): usb0: link becomes ready

Comment 17 Thomas 2018-05-08 11:20:54 UTC
Hi,

I have the same problem with FC27 and a Philips WeCall Speaker

[ 1674.033308] usb 2-1: new full-speed USB device number 12 using xhci_hcd
[ 1674.212272] usb 2-1: New USB device found, idVendor=0a12, idProduct=1243
[ 1674.212274] usb 2-1: New USB device strings: Mfr=0, Product=2, SerialNumber=3
[ 1674.212275] usb 2-1: Product: Philips WeCall Speaker
[ 1674.212277] usb 2-1: SerialNumber: ABCDEF0123456789
[ 1674.212720] usb 2-1: Not enough bandwidth for new device state.
[ 1674.212832] usb 2-1: can't set config #1, error -28

Comment 18 Thomas 2018-05-08 11:22:37 UTC
For me, this is the only device that I have that does trigger this issue. Webcam, Thumb drives, etc work as expected. Last version where this particular device worked for me was Fedora 22.

Comment 19 david.fernandez.work 2018-05-08 12:07:21 UTC
(In reply to Thomas from comment #18)
> For me, this is the only device that I have that does trigger this issue.
> Webcam, Thumb drives, etc work as expected. Last version where this
> particular device worked for me was Fedora 22.

I suspect that itmight be tied to usb3 enhanced isochronous endpoints... I wonder if the webcam you mention uses them.

Anyway, just a thought.

Comment 20 Thomas 2018-05-08 12:11:19 UTC
Hi David.

the webcam is not a problem, the USB speaker is (Philips WeCall Speaker). It's a USB 2 device on a USB3 port. Not sure if isochronous endpoints could be the issue.

Comment 21 david.fernandez.work 2018-05-15 07:47:34 UTC
(In reply to Thomas from comment #20)
> Hi David.
> 
> the webcam is not a problem, the USB speaker is (Philips WeCall Speaker).
> It's a USB 2 device on a USB3 port. Not sure if isochronous endpoints could
> be the issue.

Speakers, and any sound device in general, use isochronous endpoints, as the sound sample rate has to be maintained. They allocate a periodic bus time reservation.

Video on the other hand may, and often do not use isochronous, as skipping some frames is less bothering than having clicks and pops.

My problem is definitely with usb earphones.

The problem might be that usb host controller driver in linux has a bug for usb3 HCIs...

Comment 22 Thomas 2018-05-28 11:03:26 UTC
Hi,

another thing that might be worth noticing. When I connect the speaker, I first get a lot of these error messages before I see the "Not enough bandwith" error.

kernel: perf: interrupt took too long (5158 > 5033), lowering kernel.perf_event_max_sample_rate to 38000
kernel: usb 2-1: new full-speed USB device number 13 using xhci_hcd
kernel: usb 2-1: New USB device found, idVendor=0a12, idProduct=1243
kernel: usb 2-1: New USB device strings: Mfr=0, Product=2, SerialNumber=3
kernel: usb 2-1: Product: Philips WeCall Speaker
kernel: usb 2-1: SerialNumber: ABCDEF0123456789
kernel: usb 2-1: 2:1: cannot set freq 48000 to ep 0x3
kernel: usb 2-1: 2:1: cannot set freq 48000 to ep 0x3
kernel: usb 2-1: 2:1: cannot set freq 48000 to ep 0x3
kernel: usb 2-1: 2:1: cannot set freq 48000 to ep 0x3
kernel: usb 2-1: 2:1: cannot set freq 48000 to ep 0x3

The last messages are repeated several times.

Comment 23 Guy Lunardi 2018-05-31 14:39:54 UTC
On F27 (4.16.7-200.fc27.x86_64) I have been getting similar issues with USB devices.

Main annoyances is that the webcam(s) get lost but most importantly, the logitech keyboard receiver (basic HID device) does disappear.

The use case I have for reproduction is similar to comment #c16

Start a Google Chrome -> Google Hangouts video call 
Stay connected for a while (10mins+?)
When you close the Google Chrome window, things seem to go wrong (have not tested in detail)

Happens almost everytime now I think. Is someone is willing to take a look at it... :-) I could test more certainly.



[242353.639668] input: HP HD Camera: HP HD Camera as /devices/pci0000:00/0000:00:1d.6/0000:06:00.0/0000:07:01.0/0000:09:00.0/0000:0a:04.0/0000:0c:00.0/0000:0d:01.0/0000:0e:00.0/usb3/3-1/3-1.1/3-1.1.3/3-1.1.3.1/3-1.1.3.1:1.0/input/input50
[242353.706096] usb 3-1.1.3.2: new high-speed USB device number 10 using xhci_hcd
[242357.117466] usb 3-1.1.3-port2: cannot reset (err = -110)
[242357.444930] usb 3-1.1.3.2: New USB device found, idVendor=04f2, idProduct=b5be
[242357.444935] usb 3-1.1.3.2: New USB device strings: Mfr=3, Product=1, SerialNumber=2
[242357.444939] usb 3-1.1.3.2: Product: HP IR Camera
[242357.444942] usb 3-1.1.3.2: Manufacturer: Realtek
[242357.444945] usb 3-1.1.3.2: SerialNumber: 0x0001
[242357.466195] uvcvideo: Found UVC 1.00 device HP IR Camera (04f2:b5be)
[242357.468147] uvcvideo 3-1.1.3.2:1.0: Entity type for entity Extension 4 was not initialized!
[242357.468152] uvcvideo 3-1.1.3.2:1.0: Entity type for entity Processing 2 was not initialized!
[242357.468156] uvcvideo 3-1.1.3.2:1.0: Entity type for entity Camera 1 was not initialized!
[242357.468437] input: HP IR Camera: HP IR Camera as /devices/pci0000:00/0000:00:1d.6/0000:06:00.0/0000:07:01.0/0000:09:00.0/0000:0a:04.0/0000:0c:00.0/0000:0d:01.0/0000:0e:00.0/usb3/3-1/3-1.1/3-1.1.3/3-1.1.3.2/3-1.1.3.2:1.0/input/input51
[242357.536241] usb 3-1.1.3.4: new full-speed USB device number 11 using xhci_hcd
[242358.241711] usb 3-1.1.3.4: New USB device found, idVendor=03f0, idProduct=0c47
[242358.241719] usb 3-1.1.3.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[242358.241724] usb 3-1.1.3.4: Product: ENVY 34
[242358.241728] usb 3-1.1.3.4: Manufacturer: HP
[242358.241732] usb 3-1.1.3.4: SerialNumber: 00000000
[242358.337487] usb 3-1.1.3.4: 2:1: cannot get freq at ep 0x1
[242358.680911] input: HP ENVY 34 as /devices/pci0000:00/0000:00:1d.6/0000:06:00.0/0000:07:01.0/0000:09:00.0/0000:0a:04.0/0000:0c:00.0/0000:0d:01.0/0000:0e:00.0/usb3/3-1/3-1.1/3-1.1.3/3-1.1.3.4/3-1.1.3.4:1.3/0003:03F0:0C47.001E/input/input52
[242359.899270] hid-generic 0003:03F0:0C47.001E: input,hiddev97,hidraw9: USB HID v1.11 Device [HP ENVY 34] on usb-0000:0e:00.0-1.1.3.4/input3
[242360.050685] usb 3-1.1.3.4: 2:1: cannot get freq at ep 0x1
[242360.116507] usb 3-1.1.3.4: 1:1: cannot get freq at ep 0x81
[242360.763909] usb 3-1.1.1: reset high-speed USB device number 5 using xhci_hcd
[242367.141583] logitech-hidpp-device 0003:046D:4015.001C: HID++ 3.0 device connected.
[242382.070546] usb 3-1.1.1: Not enough bandwidth for new device state.
[242382.070558] usb 3-1.1.1: Not enough bandwidth for altsetting 9
[242384.354929] usb 3-1.1.1: Not enough bandwidth for new device state.
[242384.354940] usb 3-1.1.1: Not enough bandwidth for altsetting 9

Comment 24 Thomas 2018-05-31 15:04:56 UTC
I am also available for testing if someone has an idea.

Comment 25 Joel Wiramu Pauling 2018-06-19 22:59:50 UTC
I can reliably trigger this on mainline kernel 4.17 as well. 

A kinectv2 is attached to the USB bus which will be the culprit regarding setting the bus to highspeed mode. 

Plugging in an old SD card reader I get this triggered.

aenertia@kiorewha:~$ lsusb
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 1532:002f Razer USA, Ltd
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 003: ID 045e:02c4 Microsoft Corp.
Bus 002 Device 002: ID 0bda:0411 Realtek Semiconductor Corp.
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID feed:6464
Bus 001 Device 005: ID 04cf:8819 Myson Century, Inc. USB 2.0 SD/MMC Reader
Bus 001 Device 002: ID 0bda:5411 Realtek Semiconductor Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

[221249.276290] usb 1-1.1: new high-speed USB device number 5 using xhci_hcd
[221249.377479] usb 1-1.1: New USB device found, idVendor=04cf, idProduct=8819, bcdDevice=a2.04
[221249.377485] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[221249.377489] usb 1-1.1: Product: CS8819A2-105
[221249.377493] usb 1-1.1: Manufacturer: Myson Century, Inc.
[221249.377496] usb 1-1.1: SerialNumber: 100
[221249.378057] usb 1-1.1: Not enough bandwidth for new device state.
[221249.378093] usb 1-1.1: can't set config #1, error -28

--

Comment 26 Brendan Conoboy 2018-07-09 15:50:06 UTC
Routinely hitting this in F28 with both 4.16 and 4.17 using a 4k USB.

[613372.375455] input: Logitech BRIO as /devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3:1.4/0003:046D:085E.0041/input/input47
[613372.427746] hid-generic 0003:046D:085E.0041: input,hidraw14: USB HID v1.11 Device [Logitech BRIO] on usb-0000:00:14.0-3/input4

Some USB device gets kicked off the bus almost every time I turn the camera on (Seems to happen more often when the system is running hot).

Comment 27 Max Nowak 2018-07-11 12:30:51 UTC
I had the same problem with the following setup:

USB 3.0 port on pc -> Dell u2415 display 4xUSB 3.0 hub (connected via USB B 3.0 cable) -> Logitech mouse & keyboard (both USB 2.0 devices)

Exactly the same error messages as above, not enough bandwidth to set device state, error -28, etc. 

But: If I use the USB 2.0 port to connect the display's hub to my PC, it works! Seems like fedora has a compatibility problem here, it works fine on Windows.

Comment 28 Peter Robinson 2018-07-11 12:43:58 UTC
> But: If I use the USB 2.0 port to connect the display's hub to my PC, it
> works! Seems like fedora has a compatibility problem here, it works fine on
> Windows.

It's not Fedora specific, it's linux in general

Comment 29 Paulo Fidalgo 2020-08-11 12:43:18 UTC
I've just faced this with my Dell XPS 13 9380 and a Vava’s VA-UC006 USB-C Hub. 
My system is running 5.7.12-200.fc32.x86_64


Note You need to log in before you can comment on or make changes to this bug.